{% extends "accounts/base.html" %}

{% block content %}
<div class="container" id="containerSBN">
    <div class="card text-center">
        <div class="card-body">
            <h5 class="card-title">
                <div class="">
                    {% if heading %}
                    <h3>{{heading}}</h3>
                    {% endif %}
                </div>
            </h5>
        </div>
    </div>
    <div class="row" style="display: contents;">
        <div class="col-sm-12" style="overflow: scroll;">
            <table id="dtPluginExample3" class="table table-striped table-hover dt-responsive nowrap"
                style="width:100%">
                <thead>
                    <tr>
                        <th>ega_maxim</th>
                        <th>quantity </th>
                        <th>ega_numbers_disponibles </th>

                    </tr>
                </thead>
                <tbody>
                    {% for num in numbers %}
                    <tr>
                        <td> {{num.ega_maxim}}</td>
                        <td> {{num.quantity}}</td>
                        <td>{{num.ega_numbers_disponibles}}</td>
                    </tr>
                    {% endfor %}
                </tbody>

            </table>
        </div>

    </div>


</div>


{% endblock %}

{% block custom_js %}
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="https://code.jquery.com/jquery-3.3.1.js" type="text/javascript" language="javascript"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js"
    integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ"
    crossorigin="anonymous"></script>



<!---->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
<script type="text/javascript"
    src="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.18/af-2.3.2/b-1.5.4/b-colvis-1.5.4/b-flash-1.5.4/b-html5-1.5.4/b-print-1.5.4/cr-1.5.0/fc-3.2.5/fh-3.1.4/kt-2.5.0/r-2.2.2/rg-1.1.0/rr-1.2.4/sc-1.5.0/sl-1.2.6/datatables.min.js"></script>




<script>

    $(document).ready(function () {

        var strIconSearch = '<i class="fas fa-search"></i>';
        var tableTitle = 'Summary of Ega numbers availables';
        var tableSubTitle = 'List All Ega numbers availables';
        var tableBS4 = $('#dtPluginExample3').DataTable({
            language: {
                lengthMenu: "Show _MENU_ Entries",
                search: strIconSearch,
                info: "Showing _START_ to _END_ of _TOTAL_ Entries"
            },
            pageLength: 10,
            searching: true,
            info: true,
            columnDefs: [

            ],
            buttons: {
                buttons: [
                    {
                        extend: 'copyHtml5',
                        text: '<i class="fas fa-copy"></i>',
                        className: 'btn-primary',
                        title: tableTitle,
                        messageTop: tableSubTitle,
                        titleAttr: 'Copy to Clipboard'
                    },
                    {
                        extend: 'csvHtml5',
                        text: '<i class="fas fa-file-csv"></i>',
                        className: 'btn-primary',
                        titleAttr: 'Export to CSV'
                    },
                    {
                        extend: 'excelHtml5',
                        text: '<i class="fas fa-file-excel"></i>',
                        className: 'btn-primary',
                        title: tableTitle,
                        messageTop: tableSubTitle,
                        titleAttr: 'Export to Excel'
                    },
                    {
                        extend: 'pdfHtml5',
                        text: '<i class="fas fa-file-pdf"></i>',
                        className: 'btn-primary',
                        title: tableTitle,
                        messageTop: tableSubTitle,
                        titleAttr: 'Export to PDF'
                    },
                    {
                        extend: 'print',
                        text: '<i class="fas fa-print"></i>',
                        className: 'btn-primary',
                        title: tableTitle,
                        messageTop: tableSubTitle,
                        titleAttr: 'Print Table'
                    },
                    {
                        extend: 'colvis',
                        text: '<i class="fas fa-columns"></i>',
                        className: 'btn-primary',
                        titleAttr: 'Show/Hide Columns'
                    }
                ],
                dom: {
                    button: {
                        className: 'btn'
                    }
                }
            },
            drawCallback: function () {
                // Pagination - Add BS4-Class for Horizontal Alignment (in second of 2 columns) & Top Margin
                $('#dtPluginExample3_wrapper .col-md-7:eq(0)').addClass("d-flex justify-content-center justify-content-md-end");
                $('#dtPluginExample3_paginate').addClass("mt-3 mt-md-2");
                $('#dtPluginExample3_paginate ul.pagination').addClass("pagination-sm");


            }
        });




        // Add a row for the Title & Subtitle in front of the first row of the wrapper
        var divTitle = ''
            + '<div class="col-12 text-center text-md-left">'
            + '<h4 class="text-primary">' + tableTitle + '</h4>'
            + '<h5 class="text-primary">' + tableSubTitle + '</h5>'
            + '<hr class="m-0 mb-4" style="border:none; background-color:rgba(0,75,141,1.0); color:rgba(0,75,141,1.0); height:1px;" />'
            + '</div>';
        $(divTitle).prependTo('#dtPluginExample3_wrapper .row:eq(0)');

        // Insert the Button Toolbar in front of the first row of the wrapper.
        // Had to add BS4-Classes first for proper Responsive/Horizontal Alignment.
        tableBS4.buttons().container().addClass("justify-content-center justify-content-md-start mb-3");
        tableBS4.buttons().container().prependTo('#dtPluginExample3_wrapper .col-12:eq(0)');

        // Table Header
        //    1. Remove BS4-Classes for Background set in the columnDefs Options above, 
        //    2. Add BS4-Class for White Text on Black Background 
        //    3. Reduce Font Size
        // $('#dtPluginExample3 thead tr th').removeClass("bg-warning bg-light bg-success").addClass("bg-dark text-white").css("font-size", "0.85rem");
        $('thead tr th').removeClass("bg-warning bg-light bg-success").addClass("bg-dark text-white").css("font-size", "0.85rem");






    });
</script>
{% endblock %}